#ifndef __CONFIG_H__
#define __CONFIG_H__

// ******* SELECTION OF THE QSPI FLASH *************** //
#undef QSPI_WINBOND
#undef  QSPI_MACRONIX
#undef  QSPI_EON
#undef QSPI_MICRON
#define QSPI_ADESTO
#undef RESET_SEQUENCE
// *************************************************** //

#define QSPIC_SET_SINGLE                     (0x0001)
#define QSPIC_SET_DUAL                       (0x0002)
#define QSPIC_SET_QUAD                       (0x0004)
#define QSPIC_EN_CS                          (0x0008)
#define QSPIC_DIS_CS                         (0x0010)

#define QSPIC_AUTO_MD                        (0x0001)
#define QSPIC_CLK_MD                         (0x0002)
#define QSPIC_IO2_OEN                        (0x0004)
#define QSPIC_IO3_OEN                        (0x0008)
#define QSPIC_IO2_DAT                        (0x0010)
#define QSPIC_IO3_DAT                        (0x0020)
#define QSPIC_HRDY_MD                        (0x0040)
#define QSPIC_RXD_NEG                        (0x0080)
#define QSPIC_RPIPE_EN                       (0x0100)
#define QSPIC_PCLK_MD                        (0x0E00)
#define QSPIC_FORCENSEQ_EN                   (0x1000)
#define QSPIC_USE_32BA                       (0x2000)

#define SYS_CLK_SEL                          (0x0003)
#define XTAL16M_DISABLE                      (0x0004)
#define XTAL16M_SPIKE_FLT_DISABLE            (0x0008)
#define PLL_DIV2                             (0x0020)
#define XTAL32M_MODE                         (0x0040)
#define DIVN_SYNC_LEVEL                      (0x0080)
#define CLK32K_SOURCE                        (0x0300)
#define RUNNING_AT_32K                       (0x1000)
#define RUNNING_AT_RC16M                     (0x2000)
#define RUNNING_AT_XTAL16M                   (0x4000)
#define RUNNING_AT_PLL96M                    (0x8000)

#endif
